@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/* todo corpo */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Poppins, 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

body {
  min-height: 100vh;
  background-color: #ffffff;
}

/* Carosel */
.carousel {
  height: 600px;
}

.primeiro {
  background-size: 100%;
  background-image: url(../img/001.png);
  background-repeat: no-repeat;
  height: 600px;
}

.primeiro h2 {
  margin-top: 240px;
  margin-left: 0px;
  padding-bottom: 0px;
  color: #fff;
  font-weight: bold;
  text-transform: uppercase;
  text-align: center;
}

.segundo {
  background-size: cover;
  background-image: url(../img/002.png);
  background-repeat: no-repeat;
  height: 600px;
}

.segundo h2 {
  margin-top: 280px;
  margin-left: 130px;
  color: #f38425;
  font-weight: bold;
}

.segundo p {
  color: #fff;
  margin-left: 130px;
  padding-bottom: 5px;
  font-weight: 600;
  font-size: 1.1em;
}

.segundo a {
  margin-left: 130px;
  color: #ffffff;
  background-color: #000000;
  background: linear-gradient(90deg, #000000 0%, #522702 50%, #000000 100%);
  width: max-content;
  padding: 8px 15px 8px 15px;
  border-radius: 10px;
  text-decoration: none;
  border: 2px solid #ffffff;
  font-size: .9em;
}

.terceiro {
  background-size: 100%;
  background-image: url(../img/003.png);
  background-repeat: no-repeat;
  height: 600px;
}

.terceiro h3 {
  margin-top: 300px;
  margin-left: 130px;
  padding-bottom: 10px;
  color: #fff;
  font-weight: bold;
}

.carousel-control-prev-icon {
  margin-top: 40px;
  margin-left: -120px;
}

.carousel-control-next-icon {
  margin-top: 40px;
  margin-left: 120px;
}

/* Genesis */
.genesis {
  height: 390px;
}

.genesis h1 {
  padding-top: 70px;
  font-weight: bold;
}

.genesis .texto p {
  padding-bottom: 20px;
  text-align: justify;
}

.genesis .texto a {
  background-color: #000;
  color: #ffffff;
  padding: 10px;
  text-decoration: none;
}

.equipa img {
  margin-top: 50px;
  width: 90%;
  float: right;
}

/* Conquista */
.conquista {
  margin-top: 50px;
  width: 100%;
  height: 200px;
  background-image: url(../img/Gemini_Generated_Image_ku7b7rku7b7rku7b.png);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  position: relative;
  overflow: hidden;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.815);
}

.contar {
  text-align: center;
  padding-top: 10px;
}

.contar span.num {
  color: #ffffff;
  display: grid;
  place-items: center;
  font-weight: bolder;
  font-size: 4em;
}

.contar p {
  color: #ffffff;
  font-size: 1em;
  text-align: center;
  text-transform: uppercase;
  font-weight: 600;
  margin-top: -18px;
  padding-bottom: 20px;
}

/* Portfolio */
.portfolio {
  text-align: center;
}

.portfolio h2 {
  padding-top: 0px;
  font-weight: bold;
}

.section-heading {
  margin: 3rem 0;
  padding-bottom: 0.7rem;
  position: relative;
  display: inline-block;
}

.section-heading::before,
.section-heading::after {
  content: '';
  position: absolute;
}

.section-heading::before {
  width: 100%;
  height: 0.2rem;
  bottom: 0;
  left: 0;
  background: #000;
  border-radius: 0.2rem;
}

.section-heading::after {
  bottom: -0.4rem;
  left: 50%;
  transform: translateX(-50%);
  width: 1rem;
  height: 1rem;
  border: 0.2rem solid #000;
  background: #ffbb0f;
}

.portfolios {
  background-color: #f0f0f0;
  height: auto;
  border-bottom: 1px solid #000000;
  margin-bottom: 30px;
  border-radius: 10px;
}

.imagens {
  width: 100%;
  height: auto;
}

.imagens img {
  max-width: 100%;
  max-height: 100%;
  aspect-ratio: 5/3;
  object-fit: cover;
  object-position: center;
  padding: 10px;
}

.completo {
  text-align: center;
  margin-top: 20px;
  margin-bottom: 80px;
}

.completo a {
  text-align: center;
  background-color: #000;
  text-decoration: none;
  color: #fff;
  padding: 10px;
  font-size: 1em;
}

.completo a:hover {
  font-weight: 600;
}

/* Para Telemóvel e Tablet */
@media(max-width: 768px) {

  /* Carosel */
  .carousel {
    height: 100%;
  }

  .primeiro {
    background-size: cover;
    background-repeat: no-repeat;
    height: 700px;
  }

  .primeiro h2 {
    margin-top: 230px;
    margin-left: 10px;
    padding-bottom: 0px;
    color: #fff;
    font-weight: bold;
    font-size: 1.3em;
  }

  .segundo {
    background-size: cover;
    background-image: url(../img/0022.png);
    background-repeat: no-repeat;
    height: 700px;
  }

  .segundo h2 {
    margin-top: 230px;
    margin-left: 10px;
    color: #f38425;
    font-weight: bold;
  }

  .segundo p {
    color: #fff;
    margin-left: 10px;
    padding-bottom: 5px;
    font-weight: 600;
    font-size: 1.1em;
  }

  .terceiro {
    background-size: cover;
    background-image: url(../img/0033.png);
    background-repeat: no-repeat;
    height: 700px;
  }

  .terceiro h3 {
    margin-top: 280px;
    margin-left: 10px;
    padding-bottom: 0px;
    color: #fff;
    font-weight: bold;
  }

  .terceiro p {
    margin-left: 10px;
    color: #fff;
    background-color: #f38425;
    background: linear-gradient(90deg, #c56109 0%, #f38425 50%, #dc6b07 100%);
    width: max-content;
    padding: 8px 15px 8px 15px;
    border-radius: 5px;
    font-weight: 600;
  }

  .terceiro p a {
    color: #fff;
    text-decoration: none;
  }

  .carousel-control-prev {
    margin-top: 80px;
    margin-left: 0px;
  }

  .carousel-control-next {
    margin-top: 80px;
    margin-left: 0px;
  }

  /* Genesis */
  .genesis {
    height: auto;
  }

  .genesis h1 {
    padding-top: 50px;
    font-weight: bold;
  }

  .genesis .texto p {
    padding-left: 0px;
    padding-right: 0px;
    padding-bottom: 20px;
  }

  .genesis .texto a {
    background-color: #000;
    color: #ffffff;
    padding: 10px;
    text-decoration: none;
  }

  .equipa img {
    margin-top: 10px;
    margin-bottom: 20px;
    width: 100%;
    float: none;
  }

  /* Conquista */
  .conquista {
    margin-top: 50px;
    width: 100%;
    height: 680px;
    background-image: url(../img/Gemini_Generated_Image_ku7b7rku7b7rku7b.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    position: relative;
    overflow: hidden;
  }

  .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.781);
  }

  .contar {
    text-align: center;
    padding-top: 0px;
  }

  .contar span.num {
    color: #ffffff;
    display: grid;
    place-items: center;
    font-weight: bolder;
    font-size: 4em;
  }

  .contar p {
    color: #ffffff;
    font-size: 1em;
    text-align: center;
    text-transform: uppercase;
    font-weight: 600;
    margin-top: -15px;
    padding-bottom: 20px;
  }

  /* Portfolio */
  .portfolio {
    text-align: center;
  }

  .portfolio h2 {
    padding-top: 0px;
    font-weight: bold;
  }

  .section-heading {
    margin: 3rem 0;
    padding-bottom: 0.7rem;
    position: relative;
    display: inline-block;
  }

  .section-heading::before,
  .section-heading::after {
    content: '';
    position: absolute;
  }

  .section-heading::before {
    width: 100%;
    height: 0.2rem;
    bottom: 0;
    left: 0;
    background: #000;
    border-radius: 0.2rem;
  }

  .section-heading::after {
    bottom: -0.4rem;
    left: 50%;
    transform: translateX(-50%);
    width: 1rem;
    height: 1rem;
    border: 0.2rem solid #000;
    background: #ffbb0f;
  }

  .portfolios {
    background-color: #f7f7f7;
    height: auto;
    border-bottom: 1px solid #000000;
    margin-bottom: 30px;
  }

  .imagens {
    width: 100%;
    height: auto;
  }

  .imagens img {
    max-width: 100%;
    max-height: 100%;
    aspect-ratio: 5/3;
    object-fit: cover;
    object-position: center;
    padding: 15px;
  }

  .completo {
    text-align: center;
    margin-top: 20px;
    margin-bottom: 80px;
  }

  .completo a {
    text-align: center;
    background-color: #000;
    text-decoration: none;
    color: #fff;
    padding: 10px;
    font-size: 1em;
  }

  .completo a:hover {
    font-weight: 600;
  }

}